commit: dc7b2f2348718477b9d6cd65857dab07bc2a9d8b
Author: Virgil Dupras <vdupras <AT> gentoo <DOT> org>
AuthorDate: Wed May 15 13:07:26 2019 +0000
Commit: Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Wed May 15 16:11:34 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc7b2f23
dev-python/wcwidth: add support for pypy{,3}
Signed-off-by: Virgil Dupras <vdupras <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11
dev-python/wcwidth/wcwidth-0.1.7-r2.ebuild | 27 +++++++++++++++++++++++++++
1 file changed, 27 insertions(+)
diff --git a/dev-python/wcwidth/wcwidth-0.1.7-r2.ebuild
b/dev-python/wcwidth/wcwidth-0.1.7-r2.ebuild
new file mode 100644
index 00000000000..81af73f089b
--- /dev/null
+++ b/dev-python/wcwidth/wcwidth-0.1.7-r2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy{,3} )
+
+inherit distutils-r1
+
+DESCRIPTION="Measures number of Terminal column cells of wide-character codes"
+HOMEPAGE="https://pypi.org/project/wcwidth/ https://github.com/jquast/wcwidth"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+ pytest -v -rs --strict wcwidth/tests || die
+}